gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.ModelView.CellRendererSpinner

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a spinning animation in a cell

- Module available since Gtk+ version 2.20

Synopsis

- data CellRendererSpinner
- class CellRendererClass o => CellRendererSpinnerClass o
- castToCellRendererSpinner :: GObjectClass obj => obj -> CellRendererSpinner
- toCellRendererSpinner :: CellRendererSpinnerClass o => o -> CellRendererSpinner
- cellRendererSpinnerNew :: IO CellRendererSpinner
- cellRendererSpinnerActive :: CellRendererSpinnerClass self => Attr self Bool
- cellRendererSpinnerPulse :: CellRendererSpinnerClass self => Attr self Int
- cellRendererSpinnerSize :: CellRendererSpinnerClass self => Attr self IconSize

# Detail

`CellRendererSpinner` renders a spinning animation in a cell, very similar to `Spinner`. It can often be used as an alternative to a `CellRendererProgress` for displaying indefinite activity, instead of actual progress.

To start the animation in a cell, set the active property to `True` and increment the pulse property at regular intervals. The usual way to set the cell renderer properties for each cell is to bind them to columns in your tree model using e.g. `treeViewColumnAddAttribute`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----CellRenderer
     | +----CellRendererSpinner

# Types

data CellRendererSpinner

Instances

Eq CellRendererSpinner |
Ord CellRendererSpinner |
GObjectClass CellRendererSpinner |
CellRendererSpinnerClass CellRendererSpinner |
CellRendererClass CellRendererSpinner |
ObjectClass CellRendererSpinner |

class CellRendererClass o => CellRendererSpinnerClass o

Instances

CellRendererSpinnerClass CellRendererSpinner |

castToCellRendererSpinner :: GObjectClass obj => obj -> CellRendererSpinner

toCellRendererSpinner :: CellRendererSpinnerClass o => o -> CellRendererSpinner

# Constructors

cellRendererSpinnerNew :: IO CellRendererSpinner

Returns a new cell renderer which will show a spinner to indicate activity.

- Available since Gtk+ version 2.20

# Attributes

cellRendererSpinnerActive :: CellRendererSpinnerClass self => Attr self Bool

Whether the spinner is active (ie. shown) in the cell.

Default value: `False`

- Available since Gtk+ version 2.20

cellRendererSpinnerPulse :: CellRendererSpinnerClass self => Attr self Int

Pulse of the spinner. Increment this value to draw the next frame of the spinner animation. Usually, you would update this value in a timeout.

The `Spinner` widget draws one full cycle of the animation per second by default. You can learn about the number of frames used by the theme by looking at the `numSteps` style property and the duration of the cycle by looking at `cycleDuration`.

Default value: 0

- Available since Gtk+ version 2.20

cellRendererSpinnerSize :: CellRendererSpinnerClass self => Attr self IconSize

The `IconSize` value that specifies the size of the rendered spinner.

Default value: `IconSizeMenu`

- Available since Gtk+ version 2.20